Skip to main content
`Ctrl`+`K`

# KSPGetConvergedReasonString

Return a human readable string for a `KSPConvergedReason`

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPGetConvergedReasonString(KSP ksp, const char *strreason[])

Not Collective

## Input Parameter

- ksp - the `KSP` context

## Output Parameter

- strreason - a human readable string that describes ksp converged reason

## See Also

KSP: Linear System Solvers, `KSP`, `KSPGetConvergedReason()`

## Level

beginner

## Location

src/ksp/ksp/interface/iterativ.c

## Examples

src/snes/tutorials/ex6.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages